Closed Beta ProgramsPromotions UpdatesAPI ReferencePromotions Bulk

List Promotions

Returns a list of promotions.

The response includes the display name and other details about each promotion, and lists the promotions ordered by ID by default.

Note: The default rate limit for this endpoint is 40 concurrent requests.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Marketing | modify | `store_v2_marketing` | | Marketing | read-only | `store_v2_marketing_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-accounts#api-accounts). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Query parameters

idintegerOptional

Filter items by id.

namestringOptional

Filter items by name.

codestringOptional

Filter items by code.

currency_codestringOptional

Filter items by currency_code.

redemption_typeenumOptional

Filter items by redemption type

Allowed values:
statusstringOptional

Filter items by status.

pageintegerOptional>=1
Query parameter that specifies the page number in a paginated list of resources.
limitintegerOptional1-250
Query parameter that limits the number of items displayed per page in a paginated list of resources. When none is specified a default value of 50 is used.
sortenumOptional

Query parameter that specifies the field name to sort by. The default value is id.

Allowed values:
directionenumOptional

Query parameter that specifies the sorting direction. The default value is asc.

Allowed values:
channelslist of integersOptional

Filter promotions that target those channel IDs. Example: ?channels=1,2. Note: promotions that target all the channels are included in the filtering result.

querystringOptional
Filter items by both name or code.

Response

datalist of objects
metaobject
Contains data about the response including pagination and collection totals.

Errors

422
Unprocessable Entity Error